Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/etc Check for obsolete "mux 1" wscons.conf(5) entries.



details:   https://anonhg.NetBSD.org/src/rev/e105175a0ede
branches:  trunk
changeset: 526563:e105175a0ede
user:      lukem <lukem%NetBSD.org@localhost>
date:      Mon May 06 03:02:59 2002 +0000

description:
Check for obsolete "mux 1" wscons.conf(5) entries.
Suggested by George Coulouris <george%coulouris.org@localhost>.

diffstat:

 etc/postinstall |  26 ++++++++++++++++++++++++--
 1 files changed, 24 insertions(+), 2 deletions(-)

diffs (49 lines):

diff -r 196e8be8d762 -r e105175a0ede etc/postinstall
--- a/etc/postinstall   Mon May 06 02:30:28 2002 +0000
+++ b/etc/postinstall   Mon May 06 03:02:59 2002 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.8 2002/04/29 12:05:45 lukem Exp $
+# $NetBSD: postinstall,v 1.9 2002/05/06 03:02:59 lukem Exp $
 #
 # Copyright (c) 2002 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -290,7 +290,7 @@
 #
 #      ssh
 #
-additem ssh "ssh configuration file relocation"
+additem ssh "ssh configuration file update"
 do_ssh()
 {
        [ -n "$1" ] || err 2 "USAGE: do_ssh  fix|check"
@@ -382,6 +382,28 @@
        return ${failed}
 }
 
+#
+#      wscons
+#
+additem wscons "wscons configuration file update"
+do_wscons()
+{
+       [ -n "$1" ] || err 2 "USAGE: do_ssh  fix|check"
+       op=$1
+
+       [ -f ${DEST_ETC}/wscons.conf ] || return 0
+
+       failed=0
+       while read _type _arg1 _rest; do
+               if [ "$_type" = "mux" -a "$_arg1" = "1" ]; then
+                       msg \
+               "Obsolete wscons.conf(5) entry \""$_type $_arg1"\" found."
+                       failed=1
+               fi
+       done < ${DEST_ETC}/wscons.conf
+
+       return ${failed}
+}
 
 
 #



Home | Main Index | Thread Index | Old Index